function makeArrow(direction: number) {
    arrow_dir = direction + Math.round(Math.map(input.compassHeading(), 0, 359, 1, 8))
    while (arrow_dir > 8) {
        arrow_dir += -7
    }
    if (arrow_dir == 1) {
        basic.showArrow(ArrowNames.North)
    } else if (arrow_dir == 2) {
        basic.showArrow(ArrowNames.NorthWest)
    } else if (arrow_dir == 3) {
        basic.showArrow(ArrowNames.West)
    } else if (arrow_dir == 4) {
        basic.showArrow(ArrowNames.SouthWest)
    } else if (arrow_dir == 5) {
        basic.showArrow(ArrowNames.South)
    } else if (arrow_dir == 6) {
        basic.showArrow(ArrowNames.SouthEast)
    } else if (arrow_dir == 7) {
        basic.showArrow(ArrowNames.East)
    } else if (arrow_dir == 8) {
        basic.showArrow(ArrowNames.NorthEast)
    }
}
bluetooth.onBluetoothConnected(function () {
    basic.showString("C")
    while (true) {
        uartData = bluetooth.uartReadUntil(":")
    }
})
bluetooth.onBluetoothDisconnected(function () {
    control.reset()
})
let uartData = ""
let arrow_dir = 0
bluetooth.startUartService()
input.calibrateCompass()
basic.forever(function () {
    if (uartData == "NN") {
        makeArrow(0)
    } else if (uartData == "NW") {
        makeArrow(1)
    } else if (uartData == "WW") {
        makeArrow(2)
    } else if (uartData == "SW") {
        makeArrow(3)
    } else if (uartData == "SS") {
        makeArrow(4)
    } else if (uartData == "SE") {
        makeArrow(5)
    } else if (uartData == "EE") {
        makeArrow(6)
    } else if (uartData == "NE") {
        makeArrow(7)
    } else if (uartData == "XX") {
        basic.showString("X")
    } else if (uartData == "OO") {
        basic.showString("O")
    }
})
